Topic
5 replies Latest Post - ‏2014-10-07T13:17:54Z by Manager-UPSDC
SystemAdmin
SystemAdmin
6907 Posts
ACCEPTED ANSWER

Pinned topic Install Apache Web Server on AIX 6.1

‏2012-12-20T02:55:29Z |
Please tell me where we can download compatible version of Apache Web Server for AIX 6.1 & how to install it.

Thank You & Seasons Greetings

Philip
Updated on 2013-01-11T22:18:24Z at 2013-01-11T22:18:24Z by SystemAdmin
  • SystemAdmin
    SystemAdmin
    6907 Posts
    ACCEPTED ANSWER

    Re: Install Apache Web Server on AIX 6.1

    ‏2012-12-20T02:57:31Z  in response to SystemAdmin
    Here you go:

    http://www.lmgtfy.com/?q=install+apache+on+aix
  • dzodzo
    dzodzo
    9 Posts
    ACCEPTED ANSWER

    Re: Install Apache Web Server on AIX 6.1

    ‏2013-01-10T16:29:53Z  in response to SystemAdmin
    Hello, i got the sources from httpd project website and compiled them to fit the system. I had a howto posted on a blog but the site is no longer available. Here from notepad at least some scraps of various configurations, maybe it'll help, basically you just need to read the logs and trace the error messages there.

    64-bit apache 2.2
    
    export CFLAGS=-maix64 export OBJECT_MODE=64 ./configure --enable-mods-shared=most --with-mpm=prefork --with-included-apr
    


    apache with ldap support, tricking AIX 6.1 compiler to work as 5.3 because of problems with creating shared modules
    
    ./configure --enable-so --enable-cgi --with-included-apr --enable-ldap=shared \ --enable-authnz-ldap=shared --with-ldap-lib=/opt/freeware/lib --with-ldap-include=/opt/freeware \ /include --with-ldap --enable-ssl=shared --with-ssl=/usr --build=powerpc-ibm-aix5.3.0.0 \ --host=powerpc-ibm-aix5.3.0.0 --target=powerpc-ibm-aix5.3.0.0
    


    apache 64-bit reverse proxy balancer with ldap
    
    export CFLAGS=-maix64; export OBJECT_MODE=64; ./configure --with-mpm=prefork --with-included-apr \ --with-ldap --with-ldap-lib=/usr/lib --with-ldap-include=/usr/include --with-ldap --enable-so \ --enable-cgi --enable-ldap=shared --enable-authnz-ldap=shared --enable-ssl=shared --with-ssl=/usr \ --enable-proxy --enable-proxy-connect --enable-proxy-http --enable-proxy-ajp --enable-proxy-balancer \ --cache-file=configure.cache
    
  • SystemAdmin
    SystemAdmin
    6907 Posts
    ACCEPTED ANSWER

    Re: Install Apache Web Server on AIX 6.1

    ‏2013-01-11T22:18:24Z  in response to SystemAdmin
    Apache version 2.2.14 is already on the AIX Web download Pack pre-built. https://www14.software.ibm.com/webapp/iwm/web/reg/pick.do?source=aixbp&lang=en_US

    Just download the zip file, unpack to your AIX system install with installp.

    Choose the package labeled "httpd". (there's an error with the web site that I need to get corrected)
    Jay
    • Iggy Elisavetsky
      Iggy Elisavetsky
      1 Post
      ACCEPTED ANSWER

      Re: Install Apache Web Server on AIX 6.1

      ‏2013-09-25T20:13:43Z  in response to SystemAdmin

      I have installed this version 2.2.14 and it seems to have a time out issue on ajp with transactions longer than 5 minutes.

      This is the error:

      [Wed Sep 25 08:47:55 2013] [error] (70007)The timeout specified has expired: ajp_ilink_receive() can't receive header
      [Wed Sep 25 08:47:55 2013] [error] ajp_read_header: ajp_ilink_receive failed
      [Wed Sep 25 08:47:55 2013] [error] (120006)APR does not understand this error code: proxy: read response failed from (null) (*)

      This is my section of the httpd.conf:

      ProxyPass /services ajp://Server_Name.disney.com:8009/services connectiontimeout=3600 timeout=3600

      These don't seem to take efect : connectiontimeout=3600 timeout=3600

      Any transaction to the back end Tomcat that takes longer than 5 minutes to come back is timing out.

      Any ideas?

       

    • Manager-UPSDC
      Manager-UPSDC
      1 Post
      ACCEPTED ANSWER

      Re: Install Apache Web Server on AIX 6.1

      ‏2014-10-07T13:17:54Z  in response to SystemAdmin

      hi 

      i just unpack the httpd.tar file it gives three files

      httpd.base ,httppd.licence and httpd.man.en_Us

      but unable to run installp command,kindly provide the support